--- old/usr/src/lib/libm/common/LD/tanl.c	2014-05-04 03:05:43.975402675 +0200
+++ new/usr/src/lib/libm/common/LD/tanl.c	2014-05-04 03:05:44.003714702 +0200
@@ -71,7 +71,7 @@
 tanl(long double x) {
 	long double y[2], z = 0.0L;
 	int n, ix;
-#if defined(_LITTLE_ENDIAN)
+#if defined(__i386) || defined(__amd64)
 	int *px = (int *) &x;
 #endif
 
@@ -80,10 +80,10 @@
 		return x - x;
 
 	/* High word of x. */
-#if defined(_BIG_ENDIAN)
-	ix = *(int *) &x;
-#else
+#if defined(__i386) || defined(__amd64)
 	XTOI(px, ix);
+#else
+	ix = *(int *) &x;
 #endif
 
 	/* |x| ~< pi/4 */
